Bug 136498 - (perl-Archive-Tar) Outdated version and IO::Zlib
(perl-Archive-Tar) Outdated version and IO::Zlib
Product: Fedora
Classification: Fedora
Component: perl-Archive-Tar (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
: 122736 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-10-20 11:47 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-25 21:39:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Update and specfile cleanup (3.32 KB, patch)
2005-04-03 09:00 EDT, Jose Pedro Oliveira
no flags Details | Diff

  None (edit)
Description Jose Pedro Oliveira 2004-10-20 11:47:07 EDT
Description of problem:
perl-Archive-Tar should be updated to the latest CPAN version (1.10).
This new version also requires the non core module IO::Zlib
(Archive::Tar 1.08 only recommended the installation of IO::Zlib).

Version-Release number of selected component (if applicable):

Additional info:
The module IO::Zlib already exists in the fedora.us mirrors
for RH9, FC1, and FC2 (perl-IO-Zlib-1.04-*).
Comment 1 Warren Togami 2005-03-31 18:05:58 EST
*** Bug 122736 has been marked as a duplicate of this bug. ***
Comment 2 Warren Togami 2005-03-31 18:07:49 EST
Someone want to update this old fedora.us version for FC4 inclusion?
Clean up perl-Archive-Tar.spec while you're at it too.  Attach unidiffs here please.

Comment 3 Jose Pedro Oliveira 2005-04-01 06:04:24 EST
Just updated the devel branch of perl-IO-Zlib.
Comment 4 Warren Togami 2005-04-01 17:16:56 EST
waiting on sopwith to add perl-IO-Zlib first
Comment 5 Jose Pedro Oliveira 2005-04-01 19:13:06 EST

Archive::Tar v1.23 also requires perl-IO-String (available in Extras).

Source: See version 1.20 changelog entry in

I'm also finishing a specfile for Archive::Tar 1.23 (still have to run a couple
more tests).
Comment 6 Warren Togami 2005-04-01 19:18:01 EST
Thanks for the heads up.  Crap...
Comment 7 Ville Skyttä 2005-04-02 02:57:51 EST
Has anyone checked what in core actually needs perl-Archive-Tar?   IIRC at least
perl-RPM-Specfile does.  perl-RPM-Specfile is IMO definitely a candidate for
moving into Extras, and if there are no other deps to perl-Archive-Tar in Core,
perhaps it'd be easier and better to move it to Extras too, the dependencies are
already there.
Comment 8 Warren Togami 2005-04-02 06:24:42 EST
#rpm -q --qf '%{name}\t%{size}\n' perl-Archive-Tar perl-RPM-Specfile
perl-Archive-Tar        62286
perl-RPM-Specfile       37509

And the sizes of perl-IO-Zlib and perl-IO-String are even smaller.  Plus notting
said that he wants to keep perl-RPM-Specfile.
Comment 9 Warren Togami 2005-04-02 07:02:32 EST
(from perl-IO-String.spec)
Note that perl-5.8 and better has built-in support for "in memory"
files, which are set up by passing a reference instead of a filename
to the open() call. The reason for using this module is that it makes
the code backwards compatible with older versions of Perl.

Doesn't this indicate that we really don't need this?  perl-Archive-Tar is hard
coded to always need perl-IO-String now, or is this something we can
filter-requires like we do for Win32?
Comment 10 Ville Skyttä 2005-04-02 10:54:19 EST
use IO::String;

So yes, it is a "hard" dependency, and cannot be left out unless someone patches
Archive::Tar not to use it.
Comment 11 Jose Pedro Oliveira 2005-04-03 09:00:37 EDT
Created attachment 112635 [details]
Update and specfile cleanup

New requirements:
- perl-IO-Zlib (Fedora Extras - devel branch)
- perl-IO-String (Fedora Extras)
Comment 12 Warren Togami 2005-04-03 15:59:25 EDT
Freeze is tomorrow and rel-eng isn't around during the weekend, so it looks like
we need to add these after test2.
Comment 13 Warren Togami 2005-04-11 18:08:43 EDT
done.  make sure those modules are removed from Extras.
Comment 14 Jose Pedro Oliveira 2005-04-12 12:27:04 EDT

The updated version of perl-Archive-Tar hasn't appeared in Rawhide
(only the new requirements have appeared: perl-IO-String and perl-IO-Zlib).

Rawhide: perl-Archive-Tar 1.08
Expected: perl-Archive-Tar 1.23

Shall I re-open this tickect?
Comment 15 Warren Togami 2005-04-12 20:44:18 EDT
hmmm, some kind of buildsystem problem
Comment 16 Warren Togami 2005-04-13 19:43:31 EDT
-BuildRequires:  perl(IO::String), perl(IO::Zlib)
+#BuildRequires:  perl(IO::String), perl(IO::Zlib)
+# beehive was filtering '(' deps by accident
+# temporary workaround, remove this in a few days
+BuildRequires: perl-IO-String, perl-IO-Zlib

ping me in a few days to remind me, keeping bug open until then
Comment 17 Jose Pedro Oliveira 2005-04-25 23:38:24 EDT

Didn't you forgot to delete the line:
   BuildRequires: perl-IO-String, perl-IO-Zlib

Comment 18 Warren Togami 2005-04-25 23:45:32 EDT
oops!  thanks for your attention to detail.

Note You need to log in before you can comment on or make changes to this bug.